#include <saas/tools/remap_for_yt_pull/lib/processor_mode.h>


#include <mapreduce/yt/interface/client.h>

#include <library/cpp/getopt/small/modchooser.h>
#include <library/cpp/svnversion/svnversion.h>

int main(int argc, const char **argv) {

    NYT::Initialize(argc, argv);
    TModChooser modChooser;

    modChooser.SetSeparatedMode(true);
    modChooser.SetVersionHandler(PrintProgramSvnVersion);

    modChooser.AddMode("ProcessorRemap", &NSaas::RunProcessorConversion, "Convert table using processor");
    return modChooser.Run(argc, argv);
}
